Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.work
Class AbstractMuleEventWork

    java.lang.Object
      org.mule.work.AbstractMuleEventWork

All Implemented Interfaces:
  Runnable, javax.resource.spi.work.Work

Direct Known Subclasses:
  JcaComponent.MuleJcaWorker

    public abstract class AbstractMuleEventWork

extends Object
implements javax.resource.spi.work.Work

Abstract implementation of Work to be used whenever Work needs to be scheduled that operates on a MuleEvent. The abstract implementation ensures that a copy of MuleEvent is used and that this copy is available in the RequestContext for this new thread. Implementations of AbstractMuleEventWork should be run/scheduled only once. NOTE: This approach does not attempt to resolve MULE-4409 so this work may need to be reverted to correctly fix MULE-4409 in future releases.

Field Summary
`protected MuleEvent` | `event`

Constructor Summary
`AbstractMuleEventWork(MuleEvent event)`

Method Summary
`protected abstract void` | `doRun()`
`MuleEvent` | `getEvent()`
`void` | `release()`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### event

    protected MuleEvent event

Constructor Detail

### AbstractMuleEventWork

    public AbstractMuleEventWork(MuleEvent event)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### doRun

    protected abstract void doRun()

### release

    public void release()

  Specified by:
    `release` in interface `javax.resource.spi.work.Work`

### getEvent

    public MuleEvent getEvent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.